# PSF-LoginServer - master - net.psforever.objects.serverobject.affinity.FactionAffinityBehavior.Check
PSF - LoginServer - master - net.psforever.objects.serverobject.affinity.FactionAffinityBehavior.Check
Keywords: PSF LoginServer master net.psforever.objects.serverobject.affinity.FactionAffinityBehavior.Check

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package affinity
  Definition Classes
    serverobject
-  object FactionAffinityBehavior
  Definition Classes
    affinity
- BasicAffinity
- Check
- Convert

t

net.psforever.objects.serverobject.affinity.FactionAffinityBehavior

# Check

###

#### trait Check extends BasicAffinity

The logic governing `FactionAffinity` objects that use the `ConfirmFactionAffinity` message. A case exists to catch `AssertFactionAffinity` messages for the same ends though they should not be used this way. This is a mix-in trait for combining with existing `Receive` logic.

Self Type
  Check with Actor
Source
  FactionAffinityBehavior.scala

Linear Supertypes
BasicAffinity, AnyRef, Any
Known Subclasses
TurretControl, DoorControl, SpawnTubeDoorControl, GeneratorControl, CaptureFlagSocketControl, IFFLockControl, LockerControl, VehicleSpawnControl, ResourceSiloControl, ProximityTerminalControl, TerminalControl, CaptureTerminalControl, ImplantTerminalMechControl, SpawnTubeControl, FacilityTurretControl, AmsControl, AntControl, ApcControl, CargoCarrierControl, DeployingVehicleControl, RouterControl, VehicleControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Check
2. BasicAffinity
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def FactionObject: FactionAffinity
   Definition Classes
     BasicAffinity

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val checkBehavior: (Check.this)#Receive
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from BasicAffinity

### Inherited from AnyRef

### Inherited from Any

### Ungrouped